Topic: unicode_database.rb:37: [BUG] help! I am going nuts!

It started this mornig. I am working on a Rails engine and I am testing with shoulda and sqlite3 memory adapter.
I am using RVM and I allready reinstalled my ruby 1.8.7, reinstalled all gems but I just can't run any test because I get this error:

/Users/sistemasinteractivos/.rvm/gems/ruby-1.8.7-p249/gems/activesupport-2.3.5/lib/active_support/multibyte/unicode_database.rb:37: [BUG] Segmentation fault
ruby 1.8.7 (2010-01-10 patchlevel 249) [i686-darwin9.8.0]

Apparently this is a known bug:

http://redmine.ruby-lang.org/issues/show/2557

But applying the changes to my ruby installation didn't solve the issue